# RPM Spec file for mod_magick

Name:      mod_magick
Version:   1.0.1
Release:   1%{?dist}
Summary:   Image filtering for Apache httpd server
License:   ASL 2.0
Group:     System Environment/Daemons
Source:    https://github.com/minfrin/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Url:       https://github.com/minfrin/%{name}
BuildRequires: gcc, pkgconfig(apr-1), pkgconfig(apr-util-1), pkgconfig(GraphicsMagick)
%if 0%{?is_opensuse}
BuildRequires: apache2-devel
Requires: apache2
%else
%if 0%{?mgaversion}
BuildRequires: apache-devel
Requires: apache
%else
BuildRequires: httpd-devel
Requires: httpd
%endif
%endif

%if 0%{?is_opensuse}
%define moduledir %{_libdir}/apache2
%define includedir %{_includedir}/apache2
%else
%define moduledir %{_libdir}/httpd/modules
%define includedir %{_includedir}/httpd
%endif

%description
The Apache mod_magick filter provides image filtering for requests.

%package devel
Group: Development/Libraries
Summary: Development tools for the mod_magick provider.
%if 0%{?is_opensuse}
Requires: apache2-devel
%else
%if 0%{?mgaversion}
Requires: apache-devel
%else
Requires: httpd-devel
%endif
%endif

%description devel
Header file for the mod_magick filter and magick bucket used to
manipulate image requests.

%prep
%setup -q
%build
%configure
%make_build

%install
%make_install

%files
%{moduledir}/%{name}*.so

%files devel
%{includedir}/mod_magick.h

